package com.ruoyi.project.production.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 质量月报S0501对象 t_monthly_quality_report_s0501
 *
 * @author ruoyi
 * @date 2023-10-27
 */
public class TMonthlyQualityReportS0501 extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String locationName;

    /** 采样点 */
    @Excel(name = "采样点")
    private String samplePoint;

    /** 采样日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "采样日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sampleDate;

    /** 样品名称 */
    @Excel(name = "样品名称")
    private String sampleName;

    /** 正构烷烃 */
    @Excel(name = "正构烷烃")
    private String p;

    /** 异构烷烃 */
    @Excel(name = "异构烷烃")
    private String i;

    /** 烯烃 */
    @Excel(name = "烯烃")
    private String o;

    /** 环烷烃 */
    @Excel(name = "环烷烃")
    private String n;

    /** 芳烃 */
    @Excel(name = "芳烃")
    private String a;

    /** 正构烷烃+异构烷烃 */
    @Excel(name = "正构烷烃+异构烷烃")
    private String pI;

    /** 密度（20℃） */
    @Excel(name = "密度", readConverterExp = "2=0℃")
    private String density2;

    /** 初馏点 */
    @Excel(name = "初馏点")
    private String ibp;

    /** 5% */
    @Excel(name = "5%")
    private String five;

    /** 10% */
    @Excel(name = "10%")
    private String ten;

    /** 30% */
    @Excel(name = "30%")
    private String thrity;

    /** 50% */
    @Excel(name = "50%")
    private String fifty;

    /** 70% */
    @Excel(name = "70%")
    private String seventy;

    /** 90% */
    @Excel(name = "90%")
    private String ninety;

    /** 95% */
    @Excel(name = "95%")
    private String ninetyFive;

    /** 终馏点 */
    @Excel(name = "终馏点")
    private String fbp;

    /** 总硫 */
    @Excel(name = "总硫")
    private String totalSulfur;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    private String deptName;

    private int month;

    private int year;

    public int getMonth() {
        return month;
    }

    public void setMonth(int month) {
        this.month = month;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setLocationName(String locationName)
    {
        this.locationName = locationName;
    }

    public String getLocationName()
    {
        return locationName;
    }
    public void setSamplePoint(String samplePoint)
    {
        this.samplePoint = samplePoint;
    }

    public String getSamplePoint()
    {
        return samplePoint;
    }
    public void setSampleDate(Date sampleDate)
    {
        this.sampleDate = sampleDate;
    }

    public Date getSampleDate()
    {
        return sampleDate;
    }
    public void setSampleName(String sampleName)
    {
        this.sampleName = sampleName;
    }

    public String getSampleName()
    {
        return sampleName;
    }
    public void setP(String p)
    {
        this.p = p;
    }

    public String getP()
    {
        return p;
    }
    public void setI(String i)
    {
        this.i = i;
    }

    public String getI()
    {
        return i;
    }
    public void setO(String o)
    {
        this.o = o;
    }

    public String getO()
    {
        return o;
    }
    public void setN(String n)
    {
        this.n = n;
    }

    public String getN()
    {
        return n;
    }
    public void setA(String a)
    {
        this.a = a;
    }

    public String getA()
    {
        return a;
    }
    public void setPI(String pI)
    {
        this.pI = pI;
    }

    public String getPI()
    {
        return pI;
    }
    public void setDensity2(String density2)
    {
        this.density2 = density2;
    }

    public String getDensity2()
    {
        return density2;
    }
    public void setIbp(String ibp)
    {
        this.ibp = ibp;
    }

    public String getIbp()
    {
        return ibp;
    }
    public void setFive(String five)
    {
        this.five = five;
    }

    public String getFive()
    {
        return five;
    }
    public void setTen(String ten)
    {
        this.ten = ten;
    }

    public String getTen()
    {
        return ten;
    }
    public void setThrity(String thrity)
    {
        this.thrity = thrity;
    }

    public String getThrity()
    {
        return thrity;
    }
    public void setFifty(String fifty)
    {
        this.fifty = fifty;
    }

    public String getFifty()
    {
        return fifty;
    }
    public void setSeventy(String seventy)
    {
        this.seventy = seventy;
    }

    public String getSeventy()
    {
        return seventy;
    }
    public void setNinety(String ninety)
    {
        this.ninety = ninety;
    }

    public String getNinety()
    {
        return ninety;
    }
    public void setNinetyFive(String ninetyFive)
    {
        this.ninetyFive = ninetyFive;
    }

    public String getNinetyFive()
    {
        return ninetyFive;
    }
    public void setFbp(String fbp)
    {
        this.fbp = fbp;
    }

    public String getFbp()
    {
        return fbp;
    }
    public void setTotalSulfur(String totalSulfur)
    {
        this.totalSulfur = totalSulfur;
    }

    public String getTotalSulfur()
    {
        return totalSulfur;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("locationName", getLocationName())
            .append("samplePoint", getSamplePoint())
            .append("sampleDate", getSampleDate())
            .append("sampleName", getSampleName())
            .append("p", getP())
            .append("i", getI())
            .append("o", getO())
            .append("n", getN())
            .append("a", getA())
            .append("pI", getPI())
            .append("density2", getDensity2())
            .append("ibp", getIbp())
            .append("five", getFive())
            .append("ten", getTen())
            .append("thrity", getThrity())
            .append("fifty", getFifty())
            .append("seventy", getSeventy())
            .append("ninety", getNinety())
            .append("ninetyFive", getNinetyFive())
            .append("fbp", getFbp())
            .append("totalSulfur", getTotalSulfur())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
